const Validator = {
    //手机号
    isPhoneNo(str) {
        const reg = /^1[3|4|5|7|8][0-9]\d{8}$/
        return reg.test(str)
    },
    //邮箱
    isMail(str) {
        let mal = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        return mal.test(str)
    },    
    
    phoneNo(){
        return  (rule, value, callback) => {
            if (!value) {
                // callback(new Error('请输入手机号码'))
                callback()
            } else if (!Validator.isPhoneNo(value)) {
                callback(new Error('请输入正确的11位手机号码'))
            } else {
                callback()
            }
        }
    },
    email(){
        return  (rule, value, callback) => {
            if (!value) {
                callback()
            //   return callback(new Error('请输入邮箱'));
            }
            if(!Validator.isMail(value)) {
              callback(new Error('请输入正确邮箱'));
            }else{
              callback();
            }
        } 
    }
      
}

// 对Validator的实例重新封装成一个plugin ,方便 Vue.use(xxxx)
export default {
    install: function (Vue, Option) {
        Object.defineProperty(Vue.prototype, "$validator", {
            value: Validator
        });
    }
};